# kjs Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KJS::ContextImp Class Reference

Execution context. More...

`#include <context.h>`

Collaboration diagram for KJS::ContextImp:

[legend]
List of all members.

## Public Member Functions

| ContextImp (Object &glob, InterpreterImp *interpreter, Object &thisV, int _sourceId, CodeType type=GlobalCode, ContextImp *callingContext=0L, FunctionImp *func=0L, const List *args=0)
const ScopeChain & | scopeChain () const
Object | variableObject () const
void | setVariableObject (const Object &v)
Object | thisValue () const
ContextImp * | callingContext ()
ObjectImp * | activationObject ()
FunctionImp * | function () const
const List * | arguments () const
void | pushScope (const Object &s)
void | popScope ()
LabelStack * | seenLabels ()
void | mark ()
void | pushTryCatch ()
void | popTryCatch ()
bool | inTryCatch () const
void | setLines (int l0, int l1)
CodeType | type () const

## Friends

class | Context
class | StatementNode

## Detailed Description

Execution context.

Definition at line 35 of file context.h.

The documentation for this class was generated from the following files:

- context.h
- internal.cpp

This file is part of the documentation for kjs Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:23:09 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003